Create conversation flow
curl --request POST \
--url https://api.upon-ai.com/api/conversation-flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": 123,
"start_speaker": "<string>",
"nodes": [
{
"id": "<string>",
"type": "<string>",
"edges": [
{
"id": "<string>",
"transition_condition": {
"type": "<string>",
"prompt": "<string>"
},
"destination_node_id": "<string>"
}
]
}
],
"global_prompt": "<string>"
}
'import requests
url = "https://api.upon-ai.com/api/conversation-flows"
payload = {
"workspaceId": 123,
"start_speaker": "<string>",
"nodes": [
{
"id": "<string>",
"type": "<string>",
"edges": [
{
"id": "<string>",
"transition_condition": {
"type": "<string>",
"prompt": "<string>"
},
"destination_node_id": "<string>"
}
]
}
],
"global_prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 123,
start_speaker: '<string>',
nodes: [
{
id: '<string>',
type: '<string>',
edges: [
{
id: '<string>',
transition_condition: {type: '<string>', prompt: '<string>'},
destination_node_id: '<string>'
}
]
}
],
global_prompt: '<string>'
})
};
fetch('https://api.upon-ai.com/api/conversation-flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_flow_id": "<string>",
"version": 123,
"start_speaker": "<string>",
"workspaceId": 123,
"global_prompt": "<string>",
"model_choice": {
"type": "<string>",
"model": "<string>"
},
"nodes": [
{
"id": "<string>",
"type": "<string>",
"instruction": {
"type": "<string>",
"text": "<string>"
},
"edges": [
{
"id": "<string>",
"transition_condition": {
"type": "<string>",
"prompt": "<string>"
},
"destination_node_id": "<string>"
}
]
}
]
}Conversation Flows
Create conversation flow
Compose a reusable flow graph for agents to attach to.
POST
/
api
/
conversation-flows
Create conversation flow
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Body
application/json
⌘I